Package com.sun.jna.platform.win32.COM

# Interface IPersist

All Superinterfaces:
  `IUnknown`

All Known Subinterfaces:
  `IMoniker`, `IPersistStream`

All Known Implementing Classes:
  `Moniker`, `Moniker.ByReference`

public interface IPersist extends IUnknown
Provides the CLSID of an object that can be stored persistently in the system. Allows the object to specify which object handler to use in the client process, as it is used in the default implementation of marshaling.

See Also:
  - MSDN

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Guid.CLSID`
  `GetClassID()`
  Retrieves the class identifier (CLSID) of the object.

  ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `AddRef, QueryInterface, Release`

- ## Method Details

  - ### GetClassID

    Guid.CLSID GetClassID()
    Retrieves the class identifier (CLSID) of the object. `HRESULT GetClassID( [out] CLSID *pClassID );` MSDN